Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ConsumerAdmin_i Class Reference

`#include <Notify_ConsumerAdmin_i.h>`

Inheritance diagram for TAO_Notify_ConsumerAdmin_i:

[legend]
Collaboration diagram for TAO_Notify_ConsumerAdmin_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ConsumerAdmin_i (TAO_Notify_EventChannel_i *myChannel)
virtual | ~TAO_Notify_ConsumerAdmin_i (void)
virtual CORBA::ULong | _incr_refcnt (void)
virtual CORBA::ULong | _decr_refcnt (void)
virtual void | _add_ref (ACE_ENV_SINGLE_ARG_DECL)
virtual void | _remove_ref (ACE_ENV_SINGLE_ARG_DECL)
virtual void | dispatch_event (TAO_Notify_Event &event ACE_ENV_ARG_DECL)
virtual CORBA::Boolean | evaluate_filter (TAO_Notify_Event &event, CORBA::Boolean eval_parent ACE_ENV_ARG_DECL)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
virtual TAO_Notify_Worker_Task * | event_dispatch_task (void)
virtual TAO_Notify_Worker_Task * | filter_eval_task (void)
void | init (CosNotifyChannelAdmin::AdminID myID, CosNotifyChannelAdmin::InterFilterGroupOperator myOperator, PortableServer::POA_ptr my_POA ACE_ENV_ARG_DECL)
CosNotifyChannelAdmin::ConsumerAdmin_ptr | get_ref (ACE_ENV_SINGLE_ARG_DECL)
TAO_Notify_Event_Manager * | get_event_manager (void)
TAO_Notify_FilterAdmin_i & | get_filter_admin (void)
void | deactivate_proxy_pushsupplier (PortableServer::Servant servant ACE_ENV_ARG_DECL)
void | register_listener (TAO_Notify_EventListener *listener ACE_ENV_ARG_DECL)
void | unregister_listener (TAO_Notify_EventListener *listener ACE_ENV_ARG_DECL)
void | proxy_pushsupplier_destroyed (CosNotifyChannelAdmin::ProxyID proxyID)
virtual CosNotifyChannelAdmin::AdminID | MyID (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::EventChannel_ptr | MyChannel (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::InterFilterGroupOperator | MyOperator (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyFilter::MappingFilter_ptr | priority_filter (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | priority_filter (CosNotifyFilter::MappingFilter_ptr priority_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyFilter::MappingFilter_ptr | lifetime_filter (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | lifetime_filter (CosNotifyFilter::MappingFilter_ptr lifetime_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ProxyIDSeq * | pull_suppliers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ProxyIDSeq * | push_suppliers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ProxySupplier_ptr | get_proxy_supplier (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::ProxyNotFound )
virtual CosNotifyChannelAdmin::ProxySupplier_ptr | obtain_notification_pull_supplier (CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )
virtual CosNotifyChannelAdmin::ProxySupplier_ptr | obtain_notification_push_supplier (CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotification::QoSProperties * | get_qos (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | validate_qos (const CosNotification::QoSProperties &required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | subscription_change (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )
virtual CosNotifyFilter::FilterID | add_filter (CosNotifyFilter::Filter_ptr new_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::Filter_ptr | get_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::FilterIDSeq * | get_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosEventChannelAdmin::ProxyPushSupplier_ptr | obtain_push_supplier (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosEventChannelAdmin::ProxyPullSupplier_ptr | obtain_pull_supplier (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Protected Methods
void | destroy_i (ACE_ENV_SINGLE_ARG_DECL)
CORBA::Object_ptr | obtain_struct_proxy_pushsupplier_i (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL)
CORBA::Object_ptr | obtain_proxy_pushsupplier_i (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL)
CORBA::Object_ptr | obtain_sequence_proxy_pushsupplier_i (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL)
## Protected Attributes
ACE_Lock * | lock_
CORBA::ULong | refcount_
CORBA::Boolean | destory_child_POAs_
TAO_Notify_EventChannel_i * | event_channel_
TAO_Notify_CO_Factory * | channel_objects_factory_
TAO_Notify_POA_Factory * | poa_factory_
TAO_Notify_EMO_Factory * | event_manager_objects_factory_
TAO_Notify_Collection_Factory * | collection_factory_
TAO_Notify_Event_Manager * | event_manager_
CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator_
CosNotifyChannelAdmin::AdminID | my_id_
PortableServer::POA_var | my_POA_
PortableServer::POA_var | proxy_pushsupplier_POA_
TAO_Notify_EventType_List | subscription_list_
TAO_Notify_EventListener_List * | event_listener_list_
TAO_Notify_ID_Pool_Ex< CosNotifyChannelAdmin::ProxyID, CosNotifyChannelAdmin::ProxyIDSeq > | proxy_pushsupplier_ids_
TAO_Notify_QoSAdmin_i | qos_admin_
TAO_Notify_FilterAdmin_i | filter_admin_
TAO_Notify_Worker_Task * | dispatching_task_
TAO_Notify_Worker_Task * | filter_eval_task_

## Constructor & Destructor Documentation

TAO_Notify_ConsumerAdmin_i::TAO_Notify_ConsumerAdmin_i | ( | TAO_Notify_EventChannel_i * | event_channel | ) |

TAO_Notify_ConsumerAdmin_i::~TAO_Notify_ConsumerAdmin_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_ConsumerAdmin_i::_add_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

CORBA::ULong TAO_Notify_ConsumerAdmin_i::_decr_refcnt | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_RefCounted.

CORBA::ULong TAO_Notify_ConsumerAdmin_i::_incr_refcnt | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_RefCounted.

void TAO_Notify_ConsumerAdmin_i::_remove_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

CosNotifyFilter::FilterID TAO_Notify_ConsumerAdmin_i::add_filter | ( | CosNotifyFilter::Filter_ptr new_filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::deactivate_proxy_pushsupplier | ( | PortableServer::Servant servant | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_ConsumerAdmin_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::destroy_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

void TAO_Notify_ConsumerAdmin_i::dispatch_event | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventListener.

CORBA::Boolean TAO_Notify_ConsumerAdmin_i::evaluate_filter | ( | TAO_Notify_Event & | event,
|  | CORBA::Boolean | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_Notify_EventListener.

TAO_Notify_Worker_Task * TAO_Notify_ConsumerAdmin_i::event_dispatch_task | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventListener.

TAO_Notify_Worker_Task * TAO_Notify_ConsumerAdmin_i::filter_eval_task | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventListener.

CosNotifyFilter::FilterIDSeq * TAO_Notify_ConsumerAdmin_i::get_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

TAO_Notify_Event_Manager * TAO_Notify_ConsumerAdmin_i::get_event_manager | ( | void |  | ) |

CosNotifyFilter::Filter_ptr TAO_Notify_ConsumerAdmin_i::get_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

TAO_Notify_FilterAdmin_i & TAO_Notify_ConsumerAdmin_i::get_filter_admin | ( | void |  | ) |

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_Notify_ConsumerAdmin_i::get_proxy_supplier | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::ProxyNotFound )`[virtual]`

CosNotification::QoSProperties * TAO_Notify_ConsumerAdmin_i::get_qos | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_Notify_ConsumerAdmin_i::get_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

void TAO_Notify_ConsumerAdmin_i::init | ( | CosNotifyChannelAdmin::AdminID | my_id,
|  | CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator,
|  | PortableServer::POA_ptr my_POA | ACE_ENV_ARG_DECL
| ) |

void TAO_Notify_ConsumerAdmin_i::lifetime_filter | ( | CosNotifyFilter::MappingFilter_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::MappingFilter_ptr TAO_Notify_ConsumerAdmin_i::lifetime_filter | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_ConsumerAdmin_i::MyChannel | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::AdminID TAO_Notify_ConsumerAdmin_i::MyID | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_ConsumerAdmin_i::MyOperator | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_Notify_ConsumerAdmin_i::obtain_notification_pull_supplier | ( | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )`[virtual]`

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_Notify_ConsumerAdmin_i::obtain_notification_push_supplier | ( | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out proxy_id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminLimitExceeded )`[virtual]`

CORBA::Object_ptr TAO_Notify_ConsumerAdmin_i::obtain_proxy_pushsupplier_i | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | `[protected]`

CosEventChannelAdmin::ProxyPullSupplier_ptr TAO_Notify_ConsumerAdmin_i::obtain_pull_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_Notify_ConsumerAdmin_i::obtain_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CORBA::Object_ptr TAO_Notify_ConsumerAdmin_i::obtain_sequence_proxy_pushsupplier_i | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | `[protected]`

CORBA::Object_ptr TAO_Notify_ConsumerAdmin_i::obtain_struct_proxy_pushsupplier_i | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | `[protected]`

void TAO_Notify_ConsumerAdmin_i::priority_filter | ( | CosNotifyFilter::MappingFilter_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::MappingFilter_ptr TAO_Notify_ConsumerAdmin_i::priority_filter | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::proxy_pushsupplier_destroyed | ( | CosNotifyChannelAdmin::ProxyID | proxyID | ) |

CosNotifyChannelAdmin::ProxyIDSeq * TAO_Notify_ConsumerAdmin_i::pull_suppliers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ProxyIDSeq * TAO_Notify_ConsumerAdmin_i::push_suppliers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::register_listener | ( | TAO_Notify_EventListener *listener | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_ConsumerAdmin_i::remove_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::remove_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventListener.

void TAO_Notify_ConsumerAdmin_i::subscription_change | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::unregister_listener | ( | TAO_Notify_EventListener *listener | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_ConsumerAdmin_i::validate_qos | ( | const CosNotification::QoSProperties & | required_qos,
|  | CosNotification::NamedPropertyRangeSeq_out available_qos | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

## Member Data Documentation

TAO_Notify_CO_Factory* TAO_Notify_ConsumerAdmin_i::channel_objects_factory_`[protected]`

TAO_Notify_Collection_Factory* TAO_Notify_ConsumerAdmin_i::collection_factory_`[protected]`

CORBA::Boolean TAO_Notify_ConsumerAdmin_i::destory_child_POAs_`[protected]`

TAO_Notify_Worker_Task* TAO_Notify_ConsumerAdmin_i::dispatching_task_`[protected]`

TAO_Notify_EventChannel_i* TAO_Notify_ConsumerAdmin_i::event_channel_`[protected]`

TAO_Notify_EventListener_List* TAO_Notify_ConsumerAdmin_i::event_listener_list_`[protected]`

TAO_Notify_Event_Manager* TAO_Notify_ConsumerAdmin_i::event_manager_`[protected]`

TAO_Notify_EMO_Factory* TAO_Notify_ConsumerAdmin_i::event_manager_objects_factory_`[protected]`

TAO_Notify_FilterAdmin_i TAO_Notify_ConsumerAdmin_i::filter_admin_`[protected]`

TAO_Notify_Worker_Task* TAO_Notify_ConsumerAdmin_i::filter_eval_task_`[protected]`

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_ConsumerAdmin_i::filter_operator_`[protected]`

ACE_Lock* TAO_Notify_ConsumerAdmin_i::lock_`[protected]`

CosNotifyChannelAdmin::AdminID TAO_Notify_ConsumerAdmin_i::my_id_`[protected]`

PortableServer::POA_var TAO_Notify_ConsumerAdmin_i::my_POA_`[protected]`

TAO_Notify_POA_Factory* TAO_Notify_ConsumerAdmin_i::poa_factory_`[protected]`

TAO_Notify_ID_Pool_Ex<CosNotifyChannelAdmin::ProxyID, CosNotifyChannelAdmin::ProxyIDSeq> TAO_Notify_ConsumerAdmin_i::proxy_pushsupplier_ids_`[protected]`

PortableServer::POA_var TAO_Notify_ConsumerAdmin_i::proxy_pushsupplier_POA_`[protected]`

TAO_Notify_QoSAdmin_i TAO_Notify_ConsumerAdmin_i::qos_admin_`[protected]`

CORBA::ULong TAO_Notify_ConsumerAdmin_i::refcount_`[protected]`

TAO_Notify_EventType_List TAO_Notify_ConsumerAdmin_i::subscription_list_`[protected]`

The documentation for this class was generated from the following files:

- Notify_ConsumerAdmin_i.h
- Notify_ConsumerAdmin_i.cpp